package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.bonus.ZxBonus;

import java.util.List;

/**
 * 政协履职加分Mapper接口
 * 
 * @author boman
 * @date 2024-03-11
 */
public interface ZxBonusMapper 
{
    /**
     * 查询政协履职加分
     * 
     * @param bonusId 政协履职加分主键
     * @return 政协履职加分
     */
    public ZxBonus selectZxBonusByBonusId(Long bonusId);

    /**
     * 查询政协履职加分列表
     * 
     * @param zxBonus 政协履职加分
     * @return 政协履职加分集合
     */
    public List<ZxBonus> selectZxBonusList(ZxBonus zxBonus);

    /**
     * 新增政协履职加分
     * 
     * @param zxBonus 政协履职加分
     * @return 结果
     */
    public int insertZxBonus(ZxBonus zxBonus);

    /**
     * 修改政协履职加分
     * 
     * @param zxBonus 政协履职加分
     * @return 结果
     */
    public int updateZxBonus(ZxBonus zxBonus);

    /**
     * 删除政协履职加分
     * 
     * @param bonusId 政协履职加分主键
     * @return 结果
     */
    public int deleteZxBonusByBonusId(Long bonusId);

    /**
     * 批量删除政协履职加分
     * 
     * @param bonusIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZxBonusByBonusIds(Long[] bonusIds);
}
